Skip to main content
DELETE
Delete budget alert

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

budget_alert_token
string
required

Response

BudgetAlert model

token
string
required
budget_tokens
string[]
required

The tokens for the Budgets that the Budget Alert is monitoring to trigger alerts on.

created_at
string
required

The date and time, in UTC, the Budget Alert was created. ISO 8601 Formatted.

Example:

"2024-03-19T00:00:00Z"

workspace_token
string | null
required

The token for the Workspace the ResourceReport is a part of.

user_tokens
string[]
required

The Users that receive the alert.

duration_in_days
integer<int32> | null
required

The number of days from the start or end of the month to trigger the alert if the threshold is reached.

threshold
integer<int32>
required

Alerts only send if they reach this number (as a percentage). When threshold is 100, that means alerts are triggered once costs reach 100% of the budget.

Example:

75

period_to_track
string | null
required

The period tracked on the alert. Used with duration_in_days to determine the time window of the alert. Possible values: start_of_the_month, end_of_the_month.

Example:

"start_of_the_month"

recipient_channels
string[] | null
required

The channels receiving the alerts. Requires an integration provider to be connected.

user_token
string | null

The token for the User who created this BudgetAlert.

integration_provider
string | null

The provider used for sending alerts. This must be configured in the console. Possible values are: slack, microsoft_graph.

Example:

"slack"